Summary:        Operating System AppStream Metadata for Fedora Asahi Remix
Name:           fedora-asahi-remix-appstream-metadata
# Use the time of the last metadata update as version
Version:        20241214
Release:        1%{?dist}
License:        MIT
URL:            https://fedora-asahi-remix.org/
Source1:        org.fedora_asahi_remix.metainfo.xml
Source2:        LICENSE
BuildArch:      noarch

Provides:       fedora-appstream-metadata = 1:%{version}-%{release}
Obsoletes:      fedora-appstream-metadata < 1:%{version}-%{release}

%description
Operating System AppStream Metadata for Fedora Asahi Remix

%prep
# only appstream 1.0 knows about "snapshot" releases
%if 0%{?fedora} < 40
sed -i '/<release / s/type="snapshot"/type="development"/' %{SOURCE1}
%endif
cp -p %SOURCE2 .

%build

%install
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_datadir}/metainfo/org.fedora_asahi_remix.metainfo.xml

%files
%license LICENSE
%{_datadir}/metainfo/org.fedora_asahi_remix.metainfo.xml

%changelog
* Sat Dec 14 2024 Janne Grunau <janne-fdr@jannau.net> - 20241214-1
- Add Fedora-Asahi-Remix 41

* Sat May 11 2024 Janne Grunau <janne-fdr@jananu.net> - 20240511-2
- Make Release dist specific, required for appstream based updates
- Fix LICENSE handling. `%license` handles it correctly on its own if
  the file is copied to the build dir

* Sat May 11 2024 Janne Grunau <janne-fdr@jananu.net> - 20240511-1
- Fix "id" to what appstream expects

* Wed May 08 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 20240508-1
- Rename and update for Fedora Asahi Remix
